package _VisualDVM.GlobalData.CompilerEnvironment.UI;
import Common.Visual.UI_;
import Common.Visual.Tables.DBObjectRenderer;
import Common.Visual.Fonts.VisualiserFonts;
import _VisualDVM.GlobalData.CompilerEnvironment.CompilerEnvironment;
public class CompilerEnvironmentValueRenderer extends DBObjectRenderer {
    @Override
    public void Display() {
        if (value != null) {
            CompilerEnvironment environment = (CompilerEnvironment) value;
            setFont(UI_.getTheme().Fonts.get(VisualiserFonts.Hyperlink));
            setText(environment.value.isEmpty() ? "не задано" : environment.value);
        }
    }
}
